using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;

namespace FoxTube.Controls
{
    public sealed partial class ShowMore : UserControl
    {
        public event Event Clicked;
        public ShowMore()
        {
            InitializeComponent();
        }

        private void btn_Click(object sender, RoutedEventArgs e)
        {
            btn.Visibility = Visibility.Collapsed;
            bar.Visibility = Visibility.Visible;
            Clicked.Invoke();
        }

        public void Invoke()
        {
            btn_Click(this, null);
        }

        public void Show()
        {
            btn.Visibility = Visibility.Collapsed;
            bar.Visibility = Visibility.Visible;
        }

        public void Complete()
        {
            bar.Visibility = Visibility.Collapsed;
            btn.Visibility = Visibility.Visible;
        }
    }
}
